开发者社区> 问答> 正文

postgresql使用编译安装出现错误

小白新手一枚,, 在postgresql中解压并编译安装zhparser,执行
SCWS_HOME=/usr/local/scws make && make install
出现了如下错误
Makefile:18: /usr/lib64/pgsql/pgxs/src/makefiles/pgxs.mk: No such file or directory
make: * No rule to make target `/usr/lib64/pgsql/pgxs/src/makefiles/pgxs.mk'. Stop.

网上指导
yum install postgresql-server-dev-all
...
提示错误为
No package postgresql-server-dev-all available.

系统使用的是centos,psql版本为9.5 请问有遇到这个问题的吗 方便指导一下吗

展开
收起
guojxx 2018-04-04 13:49:03 6778 0
1 条回答
写回答
取消 提交回答
  • No package postgresql-server-dev-all available. 标明没有适配系统的软件包, 或者没有包名错误. 您需要先对安装相应的软件源

    yum install https://download.postgresql.org/pub/repos/yum/9.6/redhat/rhel-7-x86_64/pgdg-centos96-9.6-3.noarch.rpm

    2019-07-17 22:04:48
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
云栖大会:开源 PolarDB 架构演进、关键技术与社区建设 立即下载
2023云栖大会:和客户一起玩转PolarDB新特性 立即下载
2023云栖大会:PolarDB for AI 立即下载

相关镜像